Program Markus2;

  (*$X+*)

  type
    VarRealProc = ^Function ( var x, y: real ): integer;


Function foo ( var x, y: real ): integer;

begin (* foo *)
  writeln ( 'OK' );
  foo:= 0;
end (* foo *);


Procedure Bloedsinn ( f: VarRealProc );

  var
    u, v: real;

begin (* Bloedsinn *)
  f^ ( u, v );
end (* Bloedsinn *);


begin
  Bloedsinn ( @foo );
end.

